> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiorders receipt url

> Get the receipt url for an order. Returns an S3 presigned url to the PDF receipt. The pratiq-channel-uuid header is required by shared customer authentication but is not used to filter order access. Access is scoped to the authenticated account and orders from WEB or CONSUMPTION sales channels.



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json get /api/orders/{orderId}/receipt-url
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/orders/{orderId}/receipt-url:
    get:
      tags:
        - orders
      description: >-
        Get the receipt url for an order. Returns an S3 presigned url to the PDF
        receipt. The pratiq-channel-uuid header is required by shared customer
        authentication but is not used to filter order access. Access is scoped
        to the authenticated account and orders from WEB or CONSUMPTION sales
        channels.
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: >-
            Required by shared customer authentication. Ignored for customer
            order access filtering; access is scoped to the authenticated
            account and orders from WEB or CONSUMPTION sales channels.
          required: true
          schema:
            type: string
        - name: orderId
          in: path
          required: true
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      receiptUrl:
                        type: string
                    required:
                      - receiptUrl
                required:
                  - data

````